[arch-commits] Commit in man-pages/repos (testing-any testing-any/PKGBUILD)
andyrtr at archlinux.org
andyrtr at archlinux.org
Sat Mar 3 11:04:34 UTC 2012
Date: Saturday, March 3, 2012 @ 06:04:34
Author: andyrtr
Revision: 151840
archrelease: copy trunk to testing-any
Added:
man-pages/repos/testing-any/
man-pages/repos/testing-any/PKGBUILD
(from rev 151839, man-pages/trunk/PKGBUILD)
----------+
PKGBUILD | 48 ++++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 48 insertions(+)
Copied: man-pages/repos/testing-any/PKGBUILD (from rev 151839, man-pages/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD (rev 0)
+++ testing-any/PKGBUILD 2012-03-03 11:04:34 UTC (rev 151840)
@@ -0,0 +1,48 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+
+pkgname=man-pages
+pkgver=3.36
+_posixver=2003-a
+pkgrel=1
+pkgdesc="Linux man pages"
+arch=('any')
+license=('GPL')
+url="http://man7.org/linux/man-pages/index.html"
+groups=('base')
+depends=()
+source=(http://www.kernel.org/pub/linux/docs/man-pages/$pkgname-$pkgver.tar.gz
+ http://www.kernel.org/pub/linux/docs/man-pages/man-pages-posix/$pkgname-posix-${_posixver}.tar.bz2)
+md5sums=('cfe991b1ce9e0ea5355f29ff9fcac125'
+ '7c78aff03c0a6767ba483d34f19e4b09')
+
+build() {
+ cd ${srcdir}/$pkgname-$pkgver
+
+ # move the posix pages
+ mkdir -p ${srcdir}/$pkgname-$pkgver/man0
+ for sect in 0 1 3; do
+ sed -i "/^\.so /s/man${sect}p/man$sect/" "${srcdir}/$pkgname-posix-${_posixver}/man${sect}p"/*
+ mv -iv "${srcdir}/$pkgname-posix-${_posixver}/man${sect}p"/* "${srcdir}/$pkgname-$pkgver/man$sect/"
+ done
+}
+
+package() {
+ cd ${srcdir}/$pkgname-$pkgver
+
+ make prefix=${pkgdir}/usr install
+
+ cd ${pkgdir}/usr/share/man
+ # these are included in coreutils || return 1
+ rm -f man1/{chgrp,chmod,chown,cp,dir,dd}.1
+ rm -f man1/{df,dircolors,du,install,ln,ls}.1
+ rm -f man1/{mkdir,mkfifo,mknod,mv,rm,rmdir}.1
+ rm -f man1/{touch,vdir}.1
+ # this is included in shadow
+ rm -f man5/passwd.5
+ rm -f man3/getspnam.3
+ # this is included in diffutils
+ rm -f man1/diff.1
+ # this is included in xf86-input-mouse
+ rm -f man4/mouse.4
+}
More information about the arch-commits
mailing list